> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Categorize Transactions

> This endpoint categorizes, cleanses, and classifies transactions.

Use this endpoint to categorize, cleanse, and classify transactions. These transactions are not persisted or stored on the MX platform.

This endpoint is limited to 100 transactions per request.

<ParamField body="amount" type="string" />

<ParamField body="description" type="string" required />

<ParamField body="identifier" type="string" required />

<ParamField body="merchant_category_code" type="string" />

<ParamField body="type" type="string" />

<RequestExample>
  ```shell Request theme={null}
  curl -i -X POST 'https://vestibule.mx.com/transactions/cleanse_and_categorize' \  -H 'Content-Type: application/json' \  -H 'Accept: application/vnd.mx.atrium.v1+json' \  -H 'MX-API-Key: {mx_api_key}' \  -H 'MX-Client-ID: {mx_client_id}' \  -d '{    "transactions": [        {            "amount": 11.22,            "description": "BEER BAR 65000000764SALT LAKE C",            "identifier": "12",            "merchant_category_code": 6011,            "type": "DEBIT"        },        {            "amount": 21.33,            "description": "IN-N-OUT BURGER #239AMERICAN FO",            "identifier": "13",            "merchant_category_code": 6011,            "type": "DEBIT"        },        {            "amount": 1595.33,            "description": "ONLINE PAYMENT - THANK YOU",            "identifier": "14",            "type": "CREDIT"        }    ]}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "transactions": [
      {
        "amount": 11.22,
        "categorized_by": 15,
        "category": "Cash",
        "category_guid": "CAT-08a5d861-2890-686e-ebaf-d7632ec88540",
        "described_by": 0,
        "description": "Beer Bar",
        "identifier": "12",
        "is_bill_pay": null,
        "is_direct_deposit": false,
        "is_expense": null,
        "is_fee": null,
        "is_income": false,
        "is_international": null,
        "is_overdraft_fee": false,
        "is_payroll_advance": null,
        "is_subscription": null,
        "memo": null,
        "merchant_category_code": 6011,
        "merchant_guid": null,
        "merchant_location_guid": null,
        "original_description": "BEER BAR 65000000764SALT LAKE C",
        "type": "DEBIT"
      },
      {
        "amount": 21.33,
        "categorized_by": 15,
        "category": "Cash",
        "category_guid": "CAT-08a5d861-2890-686e-ebaf-d7632ec88540",
        "described_by": 6,
        "description": "In-N-Out Burger",
        "identifier": "13",
        "is_bill_pay": null,
        "is_direct_deposit": null,
        "is_expense": null,
        "is_fee": null,
        "is_income": false,
        "is_international": null,
        "is_overdraft_fee": null,
        "is_payroll_advance": null,
        "is_subscription": null,
        "memo": null,
        "merchant_category_code": 6011,
        "merchant_guid": "MCH-4a889eb0-0459-f66f-a137-c5e06409d8e6",
        "merchant_location_guid": null,
        "original_description": "IN-N-OUT BURGER #239AMERICAN FO",
        "type": "DEBIT"
      },
      {
        "amount": 1595.33,
        "categorized_by": 13,
        "category": "Credit Card Payment",
        "category_guid": "CAT-2cc9b500-e09d-88be-e3e0-0a8a82a54586",
        "described_by": 6,
        "description": "Online Payment Thank You",
        "identifier": "14",
        "is_bill_pay": null,
        "is_direct_deposit": null,
        "is_expense": null,
        "is_fee": null,
        "is_income": false,
        "is_international": null,
        "is_overdraft_fee": null,
        "is_payroll_advance": null,
        "is_subscription": null,
        "memo": null,
        "merchant_category_code": null,
        "merchant_guid": null,
        "merchant_location_guid": null,
        "original_description": "ONLINE PAYMENT - THANK YOU",
        "type": "CREDIT"
      }
    ]
  }
  ```
</ResponseExample>
